Bug 675168 - /usr/bin/faillog is not needed
Summary: /usr/bin/faillog is not needed
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: shadow-utils   
(Show other bugs)
Version: 6.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Peter Vrabec
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: RHEL62CCC 846801 846802
TreeView+ depends on / blocked
 
Reported: 2011-02-04 14:25 UTC by Steve Grubb
Modified: 2012-08-08 18:29 UTC (History)
3 users (show)

Fixed In Version: shadow-utils-4.1.4.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:29:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0790 normal SHIPPED_LIVE shadow-utils bug fix update 2011-05-18 18:08:13 UTC

Description Steve Grubb 2011-02-04 14:25:11 UTC
Description of problem:
The application, faillog, is no longer needed. Pam_tally.so used to write to /var/log/faillog. But its no longer shipped. Therefore, /usr/bin/faillog no longer has a function and should be removed from the package.

Comment 3 RHEL Product and Program Management 2011-02-04 14:48:15 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 5 Suzanne Yeghiayan 2011-02-15 21:46:54 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 13 Steve Grubb 2011-02-23 15:08:44 UTC
Also, we should make sure the faillog man page is gone as well. :)

Comment 17 errata-xmlrpc 2011-05-19 14:29:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0790.html


Note You need to log in before you can comment on or make changes to this bug.